Astrocal
API ReferenceEvent typesV1Event types

List event types

Returns a paginated list of event types for the authenticated organization. Pass `active=true` to filter to active event types only, or `active=false` for inactive. Omit the parameter to return all event types.

GET
/v1/event-types

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

In: header

Query Parameters

limit?integer
starting_after?string
active?boolean

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/event-types"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
      "title": "string",
      "slug": "string",
      "description": "string",
      "duration_minutes": 0,
      "buffer_before_minutes": 0,
      "buffer_after_minutes": 0,
      "minimum_notice_minutes": 0,
      "color": "string",
      "timezone": "string",
      "active": true,
      "is_test": true,
      "price_amount": 0,
      "price_currency": "string",
      "reminder_intervals": [
        0
      ],
      "duration_options": [
        0
      ],
      "max_attendees": 0,
      "assignment_strategy": "none",
      "booking_cap": 0,
      "booking_cap_period": "daily",
      "bookings_remaining": 0,
      "booking_count": 0,
      "waitlist_enabled": true,
      "waitlist_max": 0,
      "waitlist_ttl_days": 0,
      "booking_page_enabled": true,
      "conferencing_provider": "string",
      "custom_meeting_url": "string",
      "location": "string",
      "created_at": "string",
      "updated_at": "string"
    }
  ],
  "has_more": true
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}